// 根据pid获取未完成的任务
import {requestUtil} from "../utils/requestUtil";

export const addTaskLog = (taskLog) => {
    return requestUtil.post('/todo-server/task/message/diary',taskLog);
}

export const listTaskLog = (request) => {
    return requestUtil.get('/todo-server/V2/search/task_message_diary?search=' + encodeURI(request));
}

export const updateTaskLogEnableById = (enableFlag, id) => {
    let request = {
        "updateColumnList": [{"name": "enableFlag", "value": enableFlag, "operateType": "="}],
        "conditionColumnList": [{"name": "id", "value": id, "operateType": "="}]
    }
    return requestUtil.put('/todo-server/search/task_message_diary', request);
}
export const deleteTaskLogById = (id) => {
    let request = {
        "updateColumnList": [{"name": "deleteFlag", "value": "1", "operateType": "="}],
        "conditionColumnList": [{"name": "id", "value": id, "operateType": "="}]
    }
    return requestUtil.put('/todo-server/search/task_message_diary', request);
}